Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class ShortListImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.ShortListImpl

All Implemented Interfaces:
  org.apache.xerces.xs.ShortList

public class ShortListImpl
extends java.lang.Object
implements org.apache.xerces.xs.ShortList

Containts a list of Object's.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ShortListImpl.java 446723 2006-09-15 20:37:45Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary
`static org.apache.xerces.xs.ShortList` | `EMPTY_LIST` An immutable empty list.

Constructor Summary
`ShortListImpl(short[] array, int length)` Construct an XSObjectList implementation

Method Summary
`boolean` | `contains(short item)` Checks if the `unsigned short` `item` is a member of this list.
`boolean` | `equals(java.lang.Object obj)`
`int` | `getLength()` The number of `Objects` in the list.
`short` | `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_LIST

    public static final org.apache.xerces.xs.ShortList EMPTY_LIST

  An immutable empty list.

Constructor Detail

### ShortListImpl

    public ShortListImpl(short[] array,
                         int length)

  Construct an XSObjectList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `Objects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.ShortList`

### contains

    public boolean contains(short item)

  Checks if the `unsigned short` `item` is a member of this list.
  Specified by:
    `contains` in interface `org.apache.xerces.xs.ShortList`
  Parameters:
    `item` - `unsigned short` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `unsigned short` `item`.

### item

    public short item(int index)
               throws org.apache.xerces.xs.XSException

  Description copied from interface: `org.apache.xerces.xs.ShortList`
  Returns the `index`th item in the collection. The index starts at 0.
  Specified by:
    `item` in interface `org.apache.xerces.xs.ShortList`
  Following copied from interface: `org.apache.xerces.xs.ShortList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `unsigned short` at the `index`th position in the `ShortList`.
  Throws:
    `org.apache.xerces.xs.XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.